# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::OpenGLContextFormat Class Reference

The OpenGLContextFormat class encapsulates the settings of an OpenGL rendering context. More...

`#include <OpenGLContext.hpp>`

List of all members.

## Public Member Functions
| OpenGLContextFormat ()
virtual const char * | className ()
void | setRGBABits (int r, int g, int b, int a)
void | setAccumRGBABits (int r, int g, int b, int a)
void | setDoubleBuffer (bool double_buffer_on)
void | setDepthBufferBits (int bits)
void | setStencilBufferBits (int bits)
void | setMultisample (bool multisample_on)
void | setMultisampleSamples (int samples)
void | setStereo (bool stereo_on)
void | setFullscreen (bool fullscreent)
void | setVSync (bool vsync_on)
const ivec4 & | rgbaBits () const
const ivec4 & | accumRGBABits () const
bool | doubleBuffer () const
int | depthBufferBits () const
int | stencilBufferBits () const
bool | multisample () const
int | multisampleSamples () const
bool | stereo () const
bool | fullscreen () const
bool | vSync () const
int | bitsPerPixel () const
| Returns rgbaBits().r() + rgbaBits().g() + rgbaBits().b() + rgbaBits().a().
## Protected Attributes
ivec4 | mRGBABits
ivec4 | mAccumRGBABits
bool | mHasDoubleBuffer
int | mZBufferBits
int | mStencilBufferBits
bool | mHasMultisample
int | mMultisampleSamples
bool | mStereo
bool | mFullscreen
bool | mVSync

## Detailed Description

The OpenGLContextFormat class encapsulates the settings of an OpenGL rendering context.

## Constructor & Destructor Documentation

vl::OpenGLContextFormat::OpenGLContextFormat | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::OpenGLContextFormat::className | ( |  | ) | `[inline, virtual]`

void vl::OpenGLContextFormat::setRGBABits | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a |
| ) |  |  | `[inline]`

void vl::OpenGLContextFormat::setAccumRGBABits | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a |
| ) |  |  | `[inline]`

void vl::OpenGLContextFormat::setDoubleBuffer | ( | bool | double_buffer_on | ) | `[inline]`

void vl::OpenGLContextFormat::setDepthBufferBits | ( | int | bits | ) | `[inline]`

void vl::OpenGLContextFormat::setStencilBufferBits | ( | int | bits | ) | `[inline]`

void vl::OpenGLContextFormat::setMultisample | ( | bool | multisample_on | ) | `[inline]`

void vl::OpenGLContextFormat::setMultisampleSamples | ( | int | samples | ) | `[inline]`

void vl::OpenGLContextFormat::setStereo | ( | bool | stereo_on | ) | `[inline]`

void vl::OpenGLContextFormat::setFullscreen | ( | bool | fullscreent | ) | `[inline]`

void vl::OpenGLContextFormat::setVSync | ( | bool | vsync_on | ) | `[inline]`

const ivec4& vl::OpenGLContextFormat::rgbaBits | ( |  | ) | const`[inline]`

const ivec4& vl::OpenGLContextFormat::accumRGBABits | ( |  | ) | const`[inline]`

bool vl::OpenGLContextFormat::doubleBuffer | ( |  | ) | const`[inline]`

int vl::OpenGLContextFormat::depthBufferBits | ( |  | ) | const`[inline]`

int vl::OpenGLContextFormat::stencilBufferBits | ( |  | ) | const`[inline]`

bool vl::OpenGLContextFormat::multisample | ( |  | ) | const`[inline]`

int vl::OpenGLContextFormat::multisampleSamples | ( |  | ) | const`[inline]`

bool vl::OpenGLContextFormat::stereo | ( |  | ) | const`[inline]`

bool vl::OpenGLContextFormat::fullscreen | ( |  | ) | const`[inline]`

bool vl::OpenGLContextFormat::vSync | ( |  | ) | const`[inline]`

int vl::OpenGLContextFormat::bitsPerPixel | ( |  | ) | const`[inline]`

Returns rgbaBits().r() + rgbaBits().g() + rgbaBits().b() + rgbaBits().a().

## Member Data Documentation

ivec4 vl::OpenGLContextFormat::mRGBABits`[protected]`

ivec4 vl::OpenGLContextFormat::mAccumRGBABits`[protected]`

bool vl::OpenGLContextFormat::mHasDoubleBuffer`[protected]`

int vl::OpenGLContextFormat::mZBufferBits`[protected]`

int vl::OpenGLContextFormat::mStencilBufferBits`[protected]`

bool vl::OpenGLContextFormat::mHasMultisample`[protected]`

int vl::OpenGLContextFormat::mMultisampleSamples`[protected]`

bool vl::OpenGLContextFormat::mStereo`[protected]`

bool vl::OpenGLContextFormat::mFullscreen`[protected]`

bool vl::OpenGLContextFormat::mVSync`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/OpenGLContext.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:48 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.